<%@ page contentType="text/html; charset=GBK" %>
<%@ taglib uri="/cms4j" prefix="cms4j" %>

<%@ page import = "cn.com.dekn.cms.util.*,cn.com.dekn.common.util.*" %>

<%
//类似论坛，在标题的后面显示当前主题有多少分页那种效果，类似：
//  主题: CMS4J 是比较易用的网站管理系统  1 2 3 4 .. 6 


/***********************************
* 显示特性参数初始化
***********************************/
//当前记录数
int ROW_COUNT = StrUtil.getNotNullIntValue((String)request.getParameter("ROW_COUNT"),32);

//每页显示几条
int PAGE_SIZE = StrUtil.getNotNullIntValue((String)request.getParameter("PAGE_SIZE"),10);

//翻页的页面URL
String PAGE_URL_TEMPLET = StrUtil.getNotNullStringValue(request.getParameter("PAGE_URL_TEMPLET"),"#");

//翻页前的小图标
String MULTIPAGE_ICON = StrUtil.getNotNullStringValue(request.getParameter("MULTIPAGE_ICON"),"images/multipage.gif");
	
/***********************************
* CSS样式 参数初始化
***********************************/
//当前页颜色
String CSS = StrUtil.getNotNullStringValue(request.getParameter("CSS"),"multipage");


/***********************************
* 其它代码逻辑
***********************************/

//根据记录数与每页显示数，计算得出总页数
int PAGE_COUNT = (ROW_COUNT + (PAGE_SIZE - 1)) / PAGE_SIZE;

%>

<span style="display:none" id="htmlPageCount"><%=PAGE_COUNT%></span>
<%
if(PAGE_COUNT > 1){
%>
<img src="<%=MULTIPAGE_ICON%>" />
<%
	for(int i = 1;i<=PAGE_COUNT;i++){
		if(i==6 && i+2 <= PAGE_COUNT){	//为了构造  1 2 3 4 .. 6 这样的效果
			out.print(" .. ");
%>
			<a href="<%=StrUtil.replaceAll(PAGE_URL_TEMPLET,"$pn",String.valueOf(PAGE_COUNT))%>" target="_blank"><span class="<%=CSS%>"><%=PAGE_COUNT%></span></a>
<%
			break;
		}
%>
	<a href="<%=StrUtil.replaceAll(PAGE_URL_TEMPLET,"$pn",String.valueOf(i))%>" target="_blank"><span class="<%=CSS%>"><%=i%></span></a>
<%
	}
}
%>